@charset "utf-8";

@import './Layout2026/l-header.css';
@import './Layout2026/l-nav.css';
@import './Layout2026/l-main.css';
@import './Layout2026/l-kv.css';
@import './Layout2026/l-pcmenu.css';
@import './Layout2026/l-footer.css';
@import './Layout2026/l-credit.css';

@import './Object2026/Components/c-button.css';

@import './Object2026/Project/p-nav.css';
@import './Object2026/Project/p-sponsor.css';
@import './Object2026/Project/p-campainsong.css';
@import './Object2026/Project/p-songinfo.css';
@import './Object2026/Project/p-artist.css';
@import './Object2026/Project/p-visual.css';
@import './Object2026/Project/p-radio.css';
@import './Object2026/Project/p-history.css';
@import './Object2026/Project/p-title.css';
@import './Object2026/Project/p-radiko.css';
@import './Object2026/Project/p-diary.css';
@import './Object2026/Project/p-photo.css';
@import './Object2026/Project/default.css';
/* @import './Object2026/Project/bookblock.css';
@import './Object2026/Project/bookblock_custom.css'; */
@import './Object2026/Project/lyrics.css';

@import './Object2026/Project/2021.css';


html{
	font-size: 10px;
	word-spacing: 1px;
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	box-sizing: border-box;
}
*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
}
*::selection{
	-webkit-tap-highlight-color:rgba(0,0,0,0.2);
	background-color: #1a1a1a;
	color: #FFF;
}
body{
	background-color: #E6D6D5 !important;
	color: #fff;
	font-family: -apple-system,
                 'BlinkMacSystemFont',
                 'Helvetica Neue',
                 Arial,
                 'Hiragino Kaku Gothic ProN',
                 'Hiragino Sans',
                 Meiryo,
                 sans-serif;
	font-weight: 400;
}
h1{
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}
h1 > img{
	max-width: 100%;
	display: block;
	margin: 0 auto 40px;
}
a{
	text-decoration: none !important;
}
.sp_only{
    display: none!important;
}
.pc_only{
    display: inherit!important;
}
@media screen and (min-width: 769px){
    .sp_only{
        display: flex!important;
    }
	.pc_only{
		display: none!important;
	}
}

.item-movie {
	position: relative;
	width: 100%;
	padding-top: 56.25%;
}
.item-movie iframe {
	position: absolute;
	top: 0;
	right: 0;
	width: 100% !important;
	height: 100% !important;
}
@media screen and (max-width: 768px) {
.item-movie {
	position: relative;
	width: 100%;
	padding-top: 56.25%;
}
.item-movie iframe {
	position: absolute;
	top: 0;
	right: 0;
	width: 100% !important;
	height: 100% !important;
}
}

/*-------------------------------- LOADING --------------------------------*/
#loading{
	position: fixed;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #EC5C8B;
	width: 100vw;
	height: 100vh;
	transition: all 1s;
	top: 0;
	left: 0;
	z-index: 9999;
}
.loading__inner{
	width: 200px;
	height: fit-content;
}
.loaded {
    opacity: 0;
	visibility: hidden;
}
#p-logo__inner--square{
    fill: rgb(255, 175, 0);
    animation: colorchange 2s cubic-bezier(0.075, 0.82, 0.165, 1) infinite ;
}
@keyframes colorchange {
	0% {
		fill: rgb(255, 175, 0);
	}
	20% {
		fill: rgb(222, 59, 112);
	}
	40% {
		fill: rgb(124, 57, 104);
	}
	60% {
		fill: rgb(0, 150, 180);
	}
	80% {
		fill: rgb(194, 195, 0);
	}
	100% {
		fill: rgb(255, 175, 0);
	}
}
